curl --request GET \
--url https://sandbox.tight.com/v6/customers/{id} \
--header 'Authorization: Bearer <token>'{
"result": "SUCCESS",
"data": {
"id": "cus_28868401",
"name": "Acme Corp",
"status": "ACTIVE",
"additionalContactName": "Jane Smith",
"businessName": "Acme Corporation LLC",
"email": "billing@acme.com",
"ccEmails": [
"cc@acme.com"
],
"bccEmails": [
"bcc@acme.com"
],
"invoiceSettings": {
"invoicePrefix": "INV-",
"showAdditionalContactName": true,
"showBusinessName": true,
"showName": true,
"showEmail": true,
"showAddress": true,
"showPhoneWork": true
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"classSegments": [
{
"id": "cls_593051",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "cls_593052",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"createdDateTime": "2023-11-07T05:31:56Z",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
}Get a customer for the given id
curl --request GET \
--url https://sandbox.tight.com/v6/customers/{id} \
--header 'Authorization: Bearer <token>'{
"result": "SUCCESS",
"data": {
"id": "cus_28868401",
"name": "Acme Corp",
"status": "ACTIVE",
"additionalContactName": "Jane Smith",
"businessName": "Acme Corporation LLC",
"email": "billing@acme.com",
"ccEmails": [
"cc@acme.com"
],
"bccEmails": [
"bcc@acme.com"
],
"invoiceSettings": {
"invoicePrefix": "INV-",
"showAdditionalContactName": true,
"showBusinessName": true,
"showName": true,
"showEmail": true,
"showAddress": true,
"showPhoneWork": true
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"classSegments": [
{
"id": "cls_593051",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "cls_593052",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"createdDateTime": "2023-11-07T05:31:56Z",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
}Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
The id of the customer